'use strict';

var config = require('./config');
var Sequelize = require('sequelize');

module.exports.AccessTokenModel = config.db.sequelize.define('oauth_access_tokens', {
    id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      autoIncrement: true // Automatically gets converted to SERIAL for postgres
    },
    userID: {
      type: Sequelize.STRING,
      field: 'userid'
    },
    clientID: {
      type: Sequelize.STRING,
      field: 'clientid'
    },
    accesstoken: {
      type: Sequelize.STRING
    },
    expirationDate: {
      type: Sequelize.DATE,
      field: 'expirationdate'
    },
    scope: {
      type: Sequelize.STRING,
      field: 'scope'
    }
  }, {
    tableName: 'oauth_access_tokens'
  });