'use strict';
var passport = require('koa-passport');

var passport_bearer = require('passport-http-bearer');
var AccessTokenModel = require("./AccessTokenModel"); 
var BearerStrategy = passport_bearer.Strategy;
var passport = require('koa-passport');

var app = require('../app');
app.use(passport.initialize());

passport.use(new BearerStrategy(
  function(token, done) {
    AccessTokenModel.AccessTokenModel.findAll({
      where: {
        accesstoken: token
      }
    }).then(function (result) {
        if(result.length>0){
          return done(null, result[0], null);
        }else{
          return done(null, false);
        }
    });
  }
));

module.exports.CheckToken = function *checktoken(next) {
  var ctx = this;
  yield passport.authenticate('bearer', function*(err, user, info) {
    if (err) throw err
    if (user === false) {
      ctx.status = 200;
      ctx.body = { code: 401, error:info };
    } else {
      yield next;
    }
  }).call(this, next);
  
};
