/*jslint node: true */
'use strict';
var Sequelize = require('sequelize');

//
// The configuration options of the server
//

/**
 * Database configuration for access and refresh tokens.
 *
 * timeToCheckExpiredTokens - The time in seconds to check the database
 * for expired access tokens.  For example, if it's set to 3600, then that's
 * one hour to check for expired access tokens.
 * type - The type of database to use.  "db" for "in-memory", or
 * "mongodb" for the mongo database store.
 * dbName - The database name to use.
 */
exports.db = {
  timeToCheckExpiredTokens: 3600,
  type: "mysql",
  dbName: "oauth-provider",
  port: "3306",
  sequelize : new Sequelize("oauth-provider", "oauth", "oauth", {
    host: "mysql",
    dialect: "mysql",
    pool: {
      max: 5,
      min: 0,
      idle: 10000
    },
    define: {
          timestamps: false
      }
  })
};
